Jump to content

Ubuntu


Luke

Recommended Posts

 

Hi, 

 

Emby has stopped working as of the latest update. Error logs show this: 

Unhandled Exception:
System.IO.FileNotFoundException: Could not load file or assembly or one of its dependencies.
File name: 'System.Runtime, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'
 
I've tried this with the repo on 16.04 and 16.10 
 
I assume it is mono related, but can't see the cause. 

 

 

This is related to pre-release. You can learn  more here:

https://emby.media/community/index.php?/topic/41587-31226-beta-does-not-start-systemdllnotfoundexception-libsqlite3so0/

 

Those running stable can ignore this message. Thanks !

Link to comment
Share on other sites

Thanks Luke. 

 

If this isn't the right place for posting this please let me know. 

 

I've updated to the newly released .232 and now I'm getting this:

 

 

Unhandled Exception:

System.DllNotFoundException: libsqlite3.so
  at (wrapper managed-to-native) SQLitePCL.SQLite3Provider_sqlite3+NativeMethods:sqlite3_libversion_number ()
  at SQLitePCL.SQLite3Provider_sqlite3.SQLitePCL.ISQLite3Provider.sqlite3_libversion_number () [0x00000] in <0f70d70ac1af4218ba025cd0b256d429>:0 
  at SQLitePCL.raw.SetProvider (SQLitePCL.ISQLite3Provider imp) [0x00000] in <56e4d2fa2d61421297af8c578bef7977>:0 
  at MediaBrowser.Server.Mono.MainClass.SetSqliteProvider () [0x00005] in <de1a569ed7be4885ad6fe78c1c48a342>:0 
  at MediaBrowser.Server.Mono.MainClass.Main (System.String[] args) [0x00018] in <de1a569ed7be4885ad6fe78c1c48a342>:0 
[ERROR] FATAL UNHANDLED EXCEPTION: System.DllNotFoundException: libsqlite3.so
  at (wrapper managed-to-native) SQLitePCL.SQLite3Provider_sqlite3+NativeMethods:sqlite3_libversion_number ()
  at SQLitePCL.SQLite3Provider_sqlite3.SQLitePCL.ISQLite3Provider.sqlite3_libversion_number () [0x00000] in <0f70d70ac1af4218ba025cd0b256d429>:0 
  at SQLitePCL.raw.SetProvider (SQLitePCL.ISQLite3Provider imp) [0x00000] in <56e4d2fa2d61421297af8c578bef7977>:0 
  at MediaBrowser.Server.Mono.MainClass.SetSqliteProvider () [0x00005] in <de1a569ed7be4885ad6fe78c1c48a342>:0 
  at MediaBrowser.Server.Mono.MainClass.Main (System.String[] args) [0x00018] in <de1a569ed7be4885ad6fe78c1c48a342>:0 
Link to comment
Share on other sites

No problem at all, I just roll back to stable and its fine. Please let me know if I need to submit any more info to help you guys out. 

 

Thank you, that is much appreciated. We've identified the solution and we should have it resolved later today i would think.

Link to comment
Share on other sites

Same issue with .239

 

 

Unhandled Exception:

System.DllNotFoundException: libsqlite3.so
  at (wrapper managed-to-native) SQLitePCL.SQLite3Provider_sqlite3+NativeMethods:sqlite3_libversion_number ()
  at SQLitePCL.SQLite3Provider_sqlite3.SQLitePCL.ISQLite3Provider.sqlite3_libversion_number () [0x00000] in <0f70d70ac1af4218ba025cd0b256d429>:0 
  at SQLitePCL.raw.SetProvider (SQLitePCL.ISQLite3Provider imp) [0x00000] in <56e4d2fa2d61421297af8c578bef7977>:0 
  at MediaBrowser.Server.Mono.MainClass.SetSqliteProvider () [0x00005] in <0c9cd97ec49549509f7ed6bce25ab12d>:0 
  at MediaBrowser.Server.Mono.MainClass.Main (System.String[] args) [0x00018] in <0c9cd97ec49549509f7ed6bce25ab12d>:0 
[ERROR] FATAL UNHANDLED EXCEPTION: System.DllNotFoundException: libsqlite3.so
  at (wrapper managed-to-native) SQLitePCL.SQLite3Provider_sqlite3+NativeMethods:sqlite3_libversion_number ()
  at SQLitePCL.SQLite3Provider_sqlite3.SQLitePCL.ISQLite3Provider.sqlite3_libversion_number () [0x00000] in <0f70d70ac1af4218ba025cd0b256d429>:0 
  at SQLitePCL.raw.SetProvider (SQLitePCL.ISQLite3Provider imp) [0x00000] in <56e4d2fa2d61421297af8c578bef7977>:0 
  at MediaBrowser.Server.Mono.MainClass.SetSqliteProvider () [0x00005] in <0c9cd97ec49549509f7ed6bce25ab12d>:0 
  at MediaBrowser.Server.Mono.MainClass.Main (System.String[] args) [0x00018] in <0c9cd97ec49549509f7ed6bce25ab12d>:0 
 
Link to comment
Share on other sites

Hello. I am currently trying to install Emby server on Lubuntu 16.10. Getting a GPG no pubkey error. Even tried to use  --allow-unauthenticated but still erroring out.

brendon@Emby:/media/Storage$ sudo apt-get --allow-unauthenticated updateIgn:1 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  InRelease
Hit:2 http://ca.archive.ubuntu.com/ubuntu yakkety InRelease         
Get:3 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Hit:4 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release                        
Get:5 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release.gpg [481 B]            
Get:6 http://ca.archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]                                        
Ign:5 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release.gpg           
Get:7 http://ca.archive.ubuntu.com/ubuntu yakkety-backports InRelease [102 kB]
Fetched 307 kB in 2s (121 kB/s)                              
Reading package lists... Done
W: GPG error: http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0A506F712A7D8A28
W: The repository 'http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.

PS for some reason I had to sign up 3 times to be actually allowed. First time under lowfat, was told I need email verification. Then under lowfat32, which tells me "Sorry, you don't have permission for that!" on every page.

Link to comment
Share on other sites

hurricanehrndz

Hello. I am currently trying to install Emby server on Lubuntu 16.10. Getting a GPG no pubkey error. Even tried to use  --allow-unauthenticated but still erroring out.

brendon@Emby:/media/Storage$ sudo apt-get --allow-unauthenticated updateIgn:1 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  InRelease
Hit:2 http://ca.archive.ubuntu.com/ubuntu yakkety InRelease         
Get:3 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Hit:4 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release                        
Get:5 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release.gpg [481 B]            
Get:6 http://ca.archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]                                        
Ign:5 http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release.gpg           
Get:7 http://ca.archive.ubuntu.com/ubuntu yakkety-backports InRelease [102 kB]
Fetched 307 kB in 2s (121 kB/s)                              
Reading package lists... Done
W: GPG error: http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0A506F712A7D8A28
W: The repository 'http://download.opensuse.org/repositories/home:/emby/xUbuntu_16.10  Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.

PS for some reason I had to sign up 3 times to be actually allowed. First time under lowfat, was told I need email verification. Then under lowfat32, which tells me "Sorry, you don't have permission for that!" on every page.

May I ask why you are not following the install instructions? Specifically:

You can add the repository key to apt. Keep in mind that the owner of the key may distribute updates, packages and repositories that your system will trust (more information). To add the key, run:

wget http://download.opensuse.org/repositories/home:emby/xUbuntu_16.10/Release.key
sudo apt-key add - < Release.key
sudo apt-get update
  • Like 1
Link to comment
Share on other sites

I am using Emby on Ubuntu 16.04 and everything works well except metadata updates.

 

Emby Version : 3.0.8500.0

 

I have a additional drive which in mounted in fstab and has full access to the current user.

 

I noticed that the metadata was not updated and did some research and found out .. since the drive owner is user1 .. emby user have permission issues. if i change the drive owner and group  to emby it starts to work but i no longer have access to the directories and files.

 

please help

server-63616559578.txt

Edited by ZAKhan
Link to comment
Share on other sites

hurricanehrndz

Make sure emby owns the files, make user1 part of the emby group. Or use the new umask option to change the permissions the files are created with.

 

Sent from my ONEPLUS A3000 using Tapatalk

Link to comment
Share on other sites

Make sure emby owns the files, make user1 part of the emby group. Or use the new umask option to change the permissions the files are created with.

 

Sent from my ONEPLUS A3000 using Tapatalk

 

I have changed the owner to user1 and group to users .. and added emby to users group .. and added user1 to emby

 

but still the same error .. permission denied

Link to comment
Share on other sites

hurricanehrndz

Just run emby as user1. Read "/etc/default/emby" ensure all of emby's file in /var/lib/ are owned by user1. Add user1 to emby group

 

Sent from my ONEPLUS A3000 using Tapatalk

Link to comment
Share on other sites

hurricanehrndz

Well it has to be at least 775 is you want emby to have permissions via the group

 

Sent from my ONEPLUS A3000 using Tapatalk

Link to comment
Share on other sites

/etc/default/emby-server

EMBY_USER="emby"
EMBY_GROUP="emby"
EMBY_DIR="/usr/lib/emby-server"
EMBY_BIN="/usr/lib/emby-server/bin/MediaBrowser.Server.Mono.exe"
EMBY_DATA="/var/lib/emby-server"
EMBY_PIDFILE="/var/run/emby-server.pid"
EMBY_ADD_OPTS=""
MONO_BIN="/usr/bin/mono-sgen"
MONO_OPTS="--optimize=all"
MONO_ENV="MONO_THREADS_PER_CPU=250 MONO_GC_PARAMS=nursery-size=128m"

I have already added  user1  to emby group 

 

mostly files under /var/lib are root:root and some have have their own settings see attached screenshot

 

 

still same error ..

 

 

 

post-172191-0-10388900-1481035544_thumb.jpg

Link to comment
Share on other sites

hurricanehrndz

Do not edit the default file. Did you read what it said about the conf file? And why haven't you edited EMBY_USER to equal user1

Sent from my ONEPLUS A3000 using Tapatalk

Edited by hurricanehrndz
Link to comment
Share on other sites

I think I have multiple Emby servers running on my computer but I cannot figure out how to troubleshoot this. When I use the htop command on my server computer it shows multiple entries for MediaBrowser.Server.Mono.exe. They all have different PID but at least one of them is always at the top of the MEM%. Sometimes there are two entries at the top that seem to show the same thing. Just different PID's.

 

I am looking into this because every now and then movies on the AFTv just stop playing. It doesn't disconnect from Emby but it will just stop. If I press play on it again, it will play again right away, but there is no option to resume from a certain location. There is always an option to resume if I used the stop/back button on the remote.

 

Any help would be much appreciated as I do not know where to start. I don't think it is AFTv related but it may be.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...